Package org.optaplanner.core.impl.localsearch.decider.forager

## Class AbstractLocalSearchForager<Solution_>

- java.lang.Object
- - org.optaplanner.core.impl.solver.event.SolverLifecycleListenerAdapter<Solution_>
  - - org.optaplanner.core.impl.localsearch.event.LocalSearchPhaseLifecycleListenerAdapter<Solution_>
    - - org.optaplanner.core.impl.localsearch.decider.forager.AbstractLocalSearchForager<Solution_>

- All Implemented Interfaces:
    `EventListener`, `LocalSearchForager<Solution_>`, `LocalSearchPhaseLifecycleListener<Solution_>`, `SolverLifecycleListener<Solution_>`
  Direct Known Subclasses:
    `AcceptedLocalSearchForager`

      public abstract class AbstractLocalSearchForager<Solution_>
      extends LocalSearchPhaseLifecycleListenerAdapter<Solution_>
      implements LocalSearchForager<Solution_>

  Abstract superclass for `LocalSearchForager`.
  See Also:
    `LocalSearchForager`

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected org.slf4j.Logger` | `logger` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractLocalSearchForager()` |

  - ### Method Summary

    - ### Methods inherited from class org.optaplanner.core.impl.localsearch.event.LocalSearchPhaseLifecycleListenerAdapter

      `phaseEnded, phaseStarted, stepEnded, stepStarted`

    - ### Methods inherited from class org.optaplanner.core.impl.solver.event.SolverLifecycleListenerAdapter

      `solvingEnded, solvingStarted`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.optaplanner.core.impl.localsearch.decider.forager.LocalSearchForager

      `addMove, isQuitEarly, pickMove, supportsNeverEndingMoveSelector`

    - ### Methods inherited from interface org.optaplanner.core.impl.localsearch.event.LocalSearchPhaseLifecycleListener

      `phaseEnded, phaseStarted, stepEnded, stepStarted`

    - ### Methods inherited from interface org.optaplanner.core.impl.solver.event.SolverLifecycleListener

      `solvingEnded, solvingStarted`

- - ### Field Detail

    - #### logger

          protected final transient org.slf4j.Logger logger

  - ### Constructor Detail

    - #### AbstractLocalSearchForager

          public AbstractLocalSearchForager()